
class TimeZoneConstant:
    TIME_ZONE_BY_NAME: dict[str, int] = {
        "ACT": -5,
        "ADT": -3,
        "AEDT": 11,
        "AEST": 10,
        "AET": 11,
        "AKDT": -8,
        "AKST": -9,
        "ALMT": 6,
        "AMST": -3,
        "AMT": 4,
        "ANAT": 12,
        "AQTT": 5,
        "ART": -3,
        "AST": -4,
        "AWST": 8,
        "AZOST": 0,
        "AZOT": -1,
        "AZT": 4,
        "BNT": 8,
        "BIOT": 6,
        "BIT": -12,
        "BOT": -4,
        "BRST": -2,
        "BRT": -3,
        "BST": 1,
        "BTT": 6,
        "CAT": 2,
        "CDT": -4,
        "CEST": 2,
        "CET": 1,
        "CHOT": 8,
        "CHOST": 9,
        "CHST": 10,
        "CHUT": 10,
        "CIST": -8,
        "CKT": -10,
        "CLST": -3,
        "CLT": -4,
        "COST": -4,
        "COT": -5,
        "CST": -5,
        "CT": -5,
        "CVT": -1,
        "CXT": 7,
        "DAVT": 7,
        "DDUT": 10,
        "DFT": 1,
        "EASST": -5,
        "EAST": -6,
        "EAT": 3,
        "ECT": -5,
        "EDT": -4,
        "EEST": 3,
        "EET": 2,
        "EGST": 0,
        "EGT": -1,
        "EST": -5,
        "ET": -4,
        "FET": 3,
        "FJT": 12,
        "FKST": -3,
        "FKT": -4,
        "FNT": -2,
        "GALT": -6,
        "GAMT": -9,
        "GET": 4,
        "GFT": -3,
        "GILT": 12,
        "GIT": -9,
        "GMT": 0,
        "GST": 4,
        "GYT": -4,
        "HDT": -9,
        "HAEC": 2,
        "HST": -10,
        "HKT": 8,
        "HMT": 5,
        "HOVST": 8,
        "HOVT": 7,
        "ICT": 7,
        "IDLW": -12,
        "IDT": 3,
        "IOT": 6,
        "IRKT": 8,
        "IST": 2,
        "JST": 9,
        "KALT": 2,
        "KGT": 6,
        "KOST": 11,
        "KRAT": 7,
        "KST": 9,
        "LHST": 11,
        "LINT": 14,
        "MAGT": 12,
        "MAWT": 5,
        "MDT": -6,
        "MET": 1,
        "MEST": 2,
        "MHT": 12,
        "MIST": 11,
        "MSK": 3,
        "MST": -7,
        "MUT": 4,
        "MVT": 5,
        "MYT": 8,
        "NCT": 11,
        "NFT": 11,
        "NOVT": 7,
        "NUT": -11,
        "NZDT": 13,
        "NZST": 12,
        "OMST": 6,
        "ORAT": 5,
        "PDT": -7,
        "PET": -5,
        "PETT": 12,
        "PGT": 10,
        "PHOT": 13,
        "PHT": 8,
        "PHST": 8,
        "PKT": 5,
        "PMDT": -2,
        "PMST": -3,
        "PONT": 11,
        "PST": -8,
        "PWT": 9,
        "PYST": -3,
        "PYT": -4,
        "RET": 4,
        "ROTT": -3,
        "SAKT": 11,
        "SAMT": 4,
        "SAST": 2,
        "SBT": 11,
        "SCT": 4,
        "SDT": -10,
        "SGT": 8,
        "SRET": 11,
        "SRT": -3,
        "SST": 8,
        "SYOT": 3,
        "TAHT": -10,
        "THA": 7,
        "TFT": 5,
        "TJT": 5,
        "TKT": 13,
        "TLT": 9,
        "TMT": 5,
        "TRT": 3,
        "TOT": 13,
        "TST": 8,
        "TVT": 12,
        "ULAST": 9,
        "ULAT": 8,
        "UTC": 0,
        "UYST": -2,
        "UYT": -3,
        "UZT": 5,
        "VET": -4,
        "VLAT": 10,
        "VOLT": 3,
        "VOST": 6,
        "VUT": 11,
        "WAKT": 12,
        "WAST": 2,
        "WAT": 1,
        "WEST": 1,
        "WET": 0,
        "WIB": 7,
        "WIT": 9,
        "WITA": 8,
        "WGST": -2,
        "WGT": -3,
        "WST": 8,
        "YAKT": 9,
        "YEKT": 5,
    }

    TIME_ZONE_BY_UTC_OFFSET = {
        -5: "PET",
        -3: "WGT",
        11: "VUT",
        10: "VLAT",
        -8: "PST",
        -9: "HDT",
        6: "VOST",
        4: "SCT",
        12: "WAKT",
        5: "YEKT",
        -4: "VET",
        8: "WST",
        0: "WET",
        -1: "EGT",
        -12: "IDLW",
        -2: "WGST",
        1: "WEST",
        2: "WAST",
        9: "YAKT",
        -10: "TAHT",
        7: "WIB",
        -6: "MDT",
        3: "MSK",
        14: "LINT",
        -7: "PDT",
        -11: "NUT",
        13: "TOT",
    }
